Bug 1223432 - Update gluster op version to 30701
Summary: Update gluster op version to 30701
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: glusterd
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Shyamsundar
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1225999
TreeView+ depends on / blocked
 
Reported: 2015-05-20 13:43 UTC by Shyamsundar
Modified: 2016-06-16 13:03 UTC (History)
3 users (show)

Fixed In Version: glusterfs-3.8rc2
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1225999 (view as bug list)
Environment:
Last Closed: 2016-06-16 13:03:20 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Shyamsundar 2015-05-20 13:43:18 UTC
Description of problem:
Increment the operating version for gluster to 3.7.1 now that 3.7 is released. Also, there is a dependent DHT change for a new configuration option that needs an incremented gluster operating version.

Comment 1 Anand Avati 2015-05-20 13:48:52 UTC
REVIEW: http://review.gluster.org/10849 (glusterd: Bump op version and max op version for 3.7.1) posted (#1) for review on master by Shyamsundar Ranganathan (srangana@redhat.com)

Comment 2 Anand Avati 2015-05-20 20:37:40 UTC
REVIEW: http://review.gluster.org/10849 (glusterd: Bump op version and max op version for 3.7.1) posted (#2) for review on master by Shyamsundar Ranganathan (srangana@redhat.com)

Comment 3 Anand Avati 2015-05-21 15:41:28 UTC
REVIEW: http://review.gluster.org/10849 (glusterd: Bump op version and max op version for 3.7.1) posted (#3) for review on master by Shyamsundar Ranganathan (srangana@redhat.com)

Comment 4 Anand Avati 2015-05-22 19:11:50 UTC
REVIEW: http://review.gluster.org/10849 (glusterd: Bump op version and max op version for 3.7.1) posted (#5) for review on master by Shyamsundar Ranganathan (srangana@redhat.com)

Comment 5 Anand Avati 2015-05-28 04:19:45 UTC
REVIEW: http://review.gluster.org/10849 (glusterd: Bump op version and max op version for 3.7.1) posted (#7) for review on master by Raghavendra G (rgowdapp@redhat.com)

Comment 6 Anand Avati 2015-05-28 14:08:31 UTC
COMMIT: http://review.gluster.org/10849 committed in master by Krishnan Parthasarathi (kparthas@redhat.com) 
------
commit 433d1154d36cbb2b0c3218247e656940e1fc40fb
Author: Shyam <srangana@redhat.com>
Date:   Wed May 20 09:47:05 2015 -0400

    glusterd: Bump op version and max op version for 3.7.1
    
    As 3.7 is released, and a DHT configuration option needs higher
    op version, bumping the gluster op-version to 3.7.1 (or 30701).
    
    Change-Id: I9747cf93b41be72e43077ed8e977e21eed99ccc3
    BUG:  1223432
    Signed-off-by: Shyam <srangana@redhat.com>
    Reviewed-on: http://review.gluster.org/10849
    Reviewed-by: Kaushal M <kaushal@redhat.com>
    Tested-by: NetBSD Build System
    Tested-by: Gluster Build System <jenkins@build.gluster.com>

Comment 7 Nagaprasad Sathyanarayana 2015-10-25 15:16:24 UTC
Fix for this BZ is already present in a GlusterFS release. You can find clone of this BZ, fixed in a GlusterFS release and closed. Hence closing this mainline BZ as well.

Comment 8 Niels de Vos 2016-06-16 13:03:20 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.8.0, please open a new bug report.

glusterfs-3.8.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://blog.gluster.org/2016/06/glusterfs-3-8-released/
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user


Note You need to log in before you can comment on or make changes to this bug.